Bug 51086 - System Settings icon should not show when there are no such settings
System Settings icon should not show when there are no such settings
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: control-center (Show other bugs)
roswell
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-07 03:10 EDT by Kenny Graunke
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-07 12:52:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenny Graunke 2001-08-07 03:10:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010725

Description of problem:
The "System Settings" icon appears even if double clicking it just shows an
empty folder (i.e. there are no system settings available)

How reproducible:
Always

Steps to Reproduce:
1. Open the Start Here folder.
2. (Click System Settings, observe empty folder.)
	

Actual Results:  The System Settings icon shows, but only opens an empty
folder.

Expected Results:  The System Settings icon should not even appear in the
Start Here folder unless there is something meaningful to do with it.

Additional info:

System Settings is the only one I have this for - I also have no Favorites,
but that should clearly stay, as I believe the point is that users can add
things there. I don't think this is the case with System Settings, however.
Comment 1 Havoc Pennington 2001-08-07 12:52:12 EDT
I think the bug here is "there isn't anything in system settings" - there always
should be. I'm poking people to get this fixed. ;-)
Comment 2 Havoc Pennington 2002-02-11 16:28:05 EST
I think it always contains something now. If it doesn't in certain cases we need
to file bugs against the installer or something.

Note You need to log in before you can comment on or make changes to this bug.